## xfstt 0.9.7

=== Makefile ===
MAXOPT = -O6 -fomit-frame-pointer -ffast-math
MISCOPT =
OPT = $(MISCOPT) $(MAXOPT)

CFLAGS = $(OPT) -DMAGNIFY=0 -DNDEBUG
#CFLAGS = -fprofile-arcs -ftest-coverage -DMAGNIFY=0
#CFLAGS = -g -Wall -pedantic $(MISCOPT) -DMAGNIFY=0
#CFLAGS = -O -Wall -pedantic -DDEBUG $(MISCOPT) -DMEMDEBUG

LFLAGS = -L/usr/X11R6/lib
#LFLAGS = -g -L/usr/X11R6/lib

OBJS =	RAFile.o	\
	TTFont.o	\
	NameTable.o	\
	HeadTable.o	\
	MaxpTable.o	\
	CmapTable.o	\
	LocaTable.o	\
	GlyfTable.o	\
	LtshTable.o	\
	HdmxTable.o	\
	VdmxTable.o	\
	FpgmTable.o	\
	PrepTable.o	\
	GaspTable.o	\
	HheaTable.o	\
	HmtxTable.o	\
	CvtTable.o	\
	Os2Table.o	\
	KernTable.o	\
	RasterHints.o	\
	RasterScale.o	\
	RasterDraw.o

CC = g++
LD = g++

all : xfstt

install :
	mkdir /usr/ttfonts ;					\
	ln -s /DOS/windows/fonts /usr/ttfonts/winfonts ;	\
	cp xfstt /usr/X11R6/bin/ ;				\
	cp xfstt.1x /usr/man/X11/man1/ ;			\
	xfstt --sync

clean :
	rm *.o;							\
	rm xfstt showttf perftest patchttf

xfstt : $(OBJS) xfstt.o
	$(LD) -o $@ $(OBJS) xfstt.o $(LFLAGS) -lm

xfstt.o : xfstt.cpp xfstt.h ttf.h arch.h Makefile
	$(CC) $(CFLAGS) -c $< -I/usr/X11R6/include/X11/fonts

showttf : $(OBJS) showttf.o ttf.h arch.h Makefile
	$(LD) -o $@ $(OBJS) showttf.o $(LFLAGS) -lX11 -lm

perftest : $(OBJS) perftest.o ttf.h arch.h Makefile
	$(LD) -o $@ $(OBJS) perftest.o $(LFLAGS) -lm

patchttf : patchttf.cpp
	$(CC) $(CFLAGS) -o $@ $<

tgz:
	cp xfstt.tgz xfstt.tgz.bak	;			\
	tar cvf xfstt.tar Makefile *.h *cpp *.txt *.sh *lsm *spec &&	\
	tar rvf xfstt.tar font.properties FAQ INSTALL CHANGES COPYING &&\
	gzip -9 xfstt.tar		&&			\
	cp xfstt.tar.gz /dosd/source/xfstt.tgz &&		\
	mv xfstt.tar.gz xfstt.tgz	;			\
	sync;							\
	ls -l /dosd/source/xfstt.tgz xfstt.tgz

%.o : %.cpp ttf.h arch.h Makefile
	$(CC) $(CFLAGS) -c $<

%.s : %.cpp ttf.h arch.h Makefile
	$(CC) -S $(CFLAGS) -c $<

## xfstt 0.9.10

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
-MAXOPT = -O6 -fomit-frame-pointer -ffast-math
+#MAXOPT = -O6 -fomit-frame-pointer -ffast-math
 MISCOPT =
 OPT = $(MISCOPT) $(MAXOPT)
 
 CFLAGS = $(OPT) -DMAGNIFY=0 -DNDEBUG
 #CFLAGS = -fprofile-arcs -ftest-coverage -DMAGNIFY=0
-#CFLAGS = -g -Wall -pedantic $(MISCOPT) -DMAGNIFY=0
-#CFLAGS = -O -Wall -pedantic -DDEBUG $(MISCOPT) -DMEMDEBUG
+CFLAGS = -g -Wall -pedantic $(MISCOPT) -DMAGNIFY=0
+#CFLAGS = -O -Wall -pedantic -DDEBUG $(MISCOPT)
 
-LFLAGS = -L/usr/X11R6/lib
-#LFLAGS = -g -L/usr/X11R6/lib
+LFLAGS = -L/usr/X11R6/lib -L/usr/openwin/lib/X11
+LFLAGS = -g -L/usr/X11R6/lib
+
+CC = c++
+LD = c++
 
 OBJS =	RAFile.o	\
 	TTFont.o	\
@@ -29,12 +32,11 @@
 	CvtTable.o	\
 	Os2Table.o	\
 	KernTable.o	\
+	EbdtTable.o	\
+	EblcTable.o	\
 	RasterHints.o	\
 	RasterScale.o	\
 	RasterDraw.o
-
-CC = g++
-LD = g++
 
 all : xfstt
 
@@ -49,11 +51,15 @@
 	rm *.o;							\
 	rm xfstt showttf perftest patchttf
 
-xfstt : $(OBJS) xfstt.o
-	$(LD) -o $@ $(OBJS) xfstt.o $(LFLAGS) -lm
+xfstt : $(OBJS) xfstt.o encoding.o
+	$(LD) -o $@ $(OBJS) xfstt.o encoding.o $(LFLAGS) -lm
 
 xfstt.o : xfstt.cpp xfstt.h ttf.h arch.h Makefile
-	$(CC) $(CFLAGS) -c $< -I/usr/X11R6/include/X11/fonts
+	$(CC) $(CFLAGS) -c $< -I/usr/X11R6/include/X11/fonts	\
+		-I/usr/X11R6/include/
+
+encoding.o : encoding.cpp encoding.h Makefile
+	$(CC) $(CFLAGS) -c $<
 
 showttf : $(OBJS) showttf.o ttf.h arch.h Makefile
 	$(LD) -o $@ $(OBJS) showttf.o $(LFLAGS) -lX11 -lm
@@ -66,7 +72,7 @@
 
 tgz:
 	cp xfstt.tgz xfstt.tgz.bak	;			\
-	tar cvf xfstt.tar Makefile *.h *cpp *.txt *.sh *lsm *spec &&	\
+	tar cvf xfstt.tar Makefile *.h *cpp *.txt *.sh *lsm *1x &&\
 	tar rvf xfstt.tar font.properties FAQ INSTALL CHANGES COPYING &&\
 	gzip -9 xfstt.tar		&&			\
 	cp xfstt.tar.gz /dosd/source/xfstt.tgz &&		\
@@ -80,3 +86,7 @@
 %.s : %.cpp ttf.h arch.h Makefile
 	$(CC) -S $(CFLAGS) -c $<
 
+.SUFFIXES: .cpp
+.cpp.o : ttf.h arch.h Makefile
+	$(CC) $(CFLAGS) -c $<
+

## xfstt 1.1

=== Makefile ===
--- 
+++ 
@@ -41,10 +41,11 @@
 all : xfstt
 
 install :
-	mkdir /usr/ttfonts ;					\
-	ln -s /DOS/windows/fonts /usr/ttfonts/winfonts ;	\
-	cp xfstt /usr/X11R6/bin/ ;				\
-	cp xfstt.1x /usr/man/X11/man1/ ;			\
+	mkdir -p /usr/share/fonts/truetype ;	\
+	mkdir -p /var/cache/xfstt;			\
+	ln -s /DOS/windows/fonts /usr/share/fonts/truetype/winfonts ;	\
+	cp xfstt /usr/X11R6/bin/ ;	\
+	cp xfstt.1x /usr/man/X11/man1/ ;	\
 	xfstt --sync
 
 clean :

=== debian/control ===
Source: xfstt
Section: x11
Priority: optional
Maintainer: Stephen J. Carpenter <sjc@debian.org>
Standards-Version: 3.0.1.1

Package: xfstt
Architecture: any
Depends: ${shlibs:Depends}
Description: TrueType Font Server for X11
 xfstt means "X11 Font Server for TT fonts".
 TT fonts are generally regarded to be the best scalable fonts
 for displays. Applications needing scalable fonts that are to
 be displayed on a screen benefit most.
 This server will allow X11 applications to use the exact same
 fonts as the TrueType fonts used on most Windows Machines.
 NB: This package contains NO FONTS. They MUST be obtained separately

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install xfstt debian/tmp/usr/X11R6/bin
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## xfstt 1.2.1-3

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	mkdir -p /var/cache/xfstt;			\
 	ln -s /DOS/windows/fonts /usr/share/fonts/truetype/winfonts ;	\
 	cp xfstt /usr/X11R6/bin/ ;	\
-	cp xfstt.1x /usr/man/X11/man1/ ;	\
+	cp xfstt.1x /usr/X11R6/man/man1 ;\
 	xfstt --sync
 
 clean :

=== debian/changelog ===
xfstt (1.2.1-3) stable-security; urgency=high

  * New Maintainer.
  * Fixed multiple buffer overflows in the network packet handling:
    CAN-2003-0581.
  * Fixed a possible security problem by checking the byteorder magic in
    the connection handshake:
    CAN-2003-0625, bugtraq id 8255.

 -- Guillem Jover <guillem@debian.org>  Thu, 31 Jul 2003 09:15:49 +0200

xfstt (1.2.1-1) unstable; urgency=low

  * See if this closes it finally (Closes: #141452).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 15 Apr 2002 09:03:46 +0200

xfstt (1.2-1) unstable; urgency=low

  * Fixed versioning issues (Closes: #141452).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon,  8 Apr 2002 12:58:38 +0200

xfstt (1.2-0.5) unstable; urgency=low

  * The old bugs squashing upload.
  * New Mantainer (Closes: #135949)
  * Testing and closing really old bugs (Closes: #55382, #107193, #55382, #54624, #63550, #92872, #76347, #125599, #58716)
  * No files in /usr/doc/ anymore (Closes: #91722)
  * I find xfstt extremely useful and worth being in Debian. (Closes: #80876)
  * Fixed spelling errors (Closes: #127133)
  * /var/cache/xfstt/ now gets removed on purge and remove (Closes: #93756)
  * Closing all the NMU bugs. (Closes: #138509, #138172, #122514, #107193)
  
 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon,  1 Apr 2002 02:38:35 +0200

xfstt (1.2-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add build dependancy on xlibs-dev (closes: #138509).
  * Remove postrm - it contains only things debhelper would automatically
    generate if there were an appropriate substitution point.

 -- Mark Brown <broonie@debian.org>  Sat, 16 Mar 2002 12:29:49 +0000

xfstt (1.2-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Say which friends are classes (closes: #138172).

 -- Mark Brown <broonie@debian.org>  Wed, 13 Mar 2002 17:26:51 +0000

xfstt (1.2-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Incorporate 1.2-0.1 with slight changes (Andre is not a developer yet).
  * Apply patch from Andreas Degert <ad@papyrus-gmbh.de> fixing mapping
    of characers to unicode (closes: #122514).

 -- Mark Brown <broonie@debian.org>  Sun,  3 Mar 2002 19:12:28 +0000

xfstt (1.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Installs /usr/doc/xfstt as a symlink to /usr/share/doc/xfstt, not
    as a real directory. (Closes: #107193)
  * Also added some defaults debhelper checks in order to make the above
    change possible : installs debhelpers's default prerm.debhelper,
    postrm.debhelper and postinst.debhelper as well as maintainer's
    postinst differences from the default postinst.debhelper.
  * Removed Emacs user settings from debian/changelog.
  * Path to common-licenses in debian/copyright now points
    /usr/share/doc/common-licenses.
  * Now using Standards-Version 3.5.6.
  * Added debhelper as a Build-Depend to make lintian happy.
  * Don't use dh_suidregister.
  * Package is now lintian-clean.

 -- Andre Luis Lopes <andrelop@ig.com.br>  Sat, 23 Feb 2002 21:37:28 -0300

xfstt (1.2) unstable; urgency=low

  * Fixes bug in Unix Domain Socket Handling (Bug #66943)
  * added new encodings
  * Fresh compile (BUG# 57269, 64905)

 -- Stephen J. Carpenter <sjc@debian.org>  Mon, 22 Mar 2001 21:36:50 -0500

xfstt (1.1) unstable; urgency=low

  * Fixed Memory corruption (BUG# 49297)
  * Fixed encodings problem (BUG# 49526, 51209 )

 -- Stephen J. Carpenter <sjc@debian.org>  Sun,  7 Nov 1999 23:07:52 -0500

xfstt (1.0) unstable; urgency=low

  * Fixed compile errors and some possible bugs
  * Fixed bug in --encoding to stop hangs (BUG#47383)
  * Now Unlinks unix domain socket on exit
  * Augmented Documentation to reflect changes

 -- Stephen J. Carpenter <sjc@debian.org>  Thu,  4 Nov 1999 18:00:54 -0500

xfstt (0.9.99) unstable; urgency=low

  * Debian maintainer is now upstream maintainer
  * Children now SUID to non-root
  * new encodeings
  * Documentation changes

 -- Stephen J. Carpenter <sjc@debian.org>  Mon, 26 Apr 1999 23:52:53 -0400

xfstt (0.9.10-8) unstable; urgency=low

  * fixed "bashism" in postinst (BUG#29958)
    * added variable name to read statement
  * Updated man page (thanx Josip Rodin) (BUG#32558)
  * Applied patch for Alpha from Bart Warmerdam (BUG#35136)
    * Incorrect type definition for 64 bit arch

 -- Stephen J. Carpenter <sjc@debian.org>  Mon, 12 Apr 1999 00:08:12 -0400

xfstt (0.9.10-7) unstable; urgency=low

  * Changes contributed by Steve Haslam
    * fonts can be on read-only partitions
    * build uses deb-helper 

 -- Stephen J. Carpenter <sjc@debian.org>  Sun, 17 Jan 1999 18:57:08 -0500

xfstt (0.9.10-6) frozen; urgency=low

  * Finnaly fixed bad libc problem

 -- Stephen J. Carpenter <sjc@debian.org>  Sun, 10 Jan 1999 19:06:04 -0600

xfstt (0.9.10-5) frozen; urgency=low

  * recompile - bad libc
  * fixed some spelling errors - almost lintian clean now

 -- Stephen J. Carpenter <sjc@debian.org>  Fri,  8 Jan 1999 22:51:42 -0500

xfstt (0.9.10-4) frozen; urgency=low

  * Minor Documentation changes in man page

 -- Stephen J. Carpenter <sjc@debian.org>  Wed,  6 Jan 1999 16:40:37 -0500

xfstt (0.9.10-3) frozen; urgency=low

  * Init.d script in -2 was horribly broken
    * case statment (accidently deleted) back
    * then and fi leftovers removed (think I forgot to save?)
    * fixes: #29835 #29821

 -- Stephen J. Carpenter <sjc@debian.org>  Sun, 22 Nov 1998 14:14:10 -0500

xfstt (0.9.10-2) frozen; urgency=low

  * init.d script failed with new xbase (BUG# 29442) 
    * /etc/X11/config no longer exists
    * init.d script no longer uses this
    * Docs updated to reflect change

 -- Stephen J. Carpenter <sjc@debian.org>  Thu, 19 Nov 1998 20:42:26 -0500

xfstt (0.9.10-1) unstable; urgency=low

  * New Upstream Source
  * Now init.d script can use start-stop-daemon properly
  * Most Debian-specific changes now part of upstream source
  * Added --daemon option (included upstream just before releace)



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xfstt
 Section: x11
-Priority: optional
-Maintainer: Stephen J. Carpenter <sjc@debian.org>
-Standards-Version: 3.0.1.1
+Priority: extra
+Maintainer: Guillem Jover <guillem@debian.org>
+Build-Depends: debhelper (>> 3.0.0), xlibs-dev
+Standards-Version: 3.5.6
 
 Package: xfstt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -34,26 +34,22 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-#	dh_testversion
 	dh_testdir
 	dh_testroot
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-#	dh_installemacsen
 	dh_installinit
 	dh_installcron
 	dh_installmanpages
-#	dh_undocumented
 	dh_installchangelogs 
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
+#	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-#	dh_makeshlibs
 	dh_md5sums
 	dh_builddeb

## xfstt 1.7

=== debian/changelog ===
xfstt (1.7-8) unstable; urgency=low

  * Fix abort when listing fonts due to fortify support. The current code
    does not pose any real problem as the overwritten variable gets
    initialized later on, although the fix makes it correct and future-proof.
    Thanks to Erik Devriendt <erik.devriendt@siemens.com>. (Closes: #583202)

 -- Guillem Jover <guillem@debian.org>  Wed, 26 May 2010 14:08:40 +0200

xfstt (1.7-7) unstable; urgency=low

  * Switch to source format “3.0 (quilt)”.
  * Fix copyright notice for Vietnamese translation.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Create the unix socket directory with mode 1777 regardless of umask.
    Which was making xfs not create its socket file due to it running
    unprivileged. (Closes: #579907)
  * Fix segfaults due to font open errors:
    - On error in open() set absbase to 0, so that openError() can be aware
      there's been an error. This happens usually on broken symlinks.
      Thanks to Edward Welbourne <eddy@opera.com>. (Closes: #500724, #559142)
    - Handle mmap() errors, so that we don't end up accessing invalid memory.
  * Fix aborts when building with fortify support due to its bound checks.
    The current code is perfectly valid, but the compiler is too strict.
    Thanks to Niall Creech <niallcreech@googlemail.com>. (Closes: #569316)

 -- Guillem Jover <guillem@debian.org>  Tue, 04 May 2010 06:07:44 +0200

xfstt (1.7-6) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Cleanup init script:
    - Rename debian/init.d to debian/init.
    - Add 'set -e' to the init script, but not for the actual action.
    - Add LSB status action support to the init script.
    - Rename XFSTT variable with DAEMON.
    - Move self script name into a new N variable.
    - Use new NAME variable instead of explicit 'xfstt'.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Only install useful/helpful example files:
    - Remove sample init script.
    - Remove test script needing the source code. (Closes: #489674)
  * Debconf translations:
    - Added Russian. (Closes: #539462)
      Thanks to Yuri Kozlov <yuray@komyakino.ru>.
  * Fix init script dependency information: (Closes: #542677)
    - Remove conflicting xfs from Provides.
    - Add $remote_fs to Required-Start and Required-Stop.
    - Add X-Start-Before with current display managers.
    Thanks to Petter Reinholdtsen <pere@hungry.com>.
  * Convert all debconf translations to UTF-8.
  * Unify debconf template translation headers.
  * Define a new $x-font-server init.d virtual facility with xfstt as value.

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 22:41:38 +0200

xfstt (1.7-5) unstable; urgency=low

  * Add a Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.
  * Now using Standards-Version 3.8.0.
  * Cleanup debian/copyright:
    - Change 'Upstream Authors' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Refer to LGPL-2 from common-licenses instead of just LGPL.
    - Remove packaging svn information.
  * Ignore lintian warning about empty /usr/share/fonts/truetype/ dir:
    - Bump debhelper Build-Depends to 6.0.7.
    - Add a call to dh_lintian.
    - Add lintian-override file.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 08:24:18 +0300

xfstt (1.7-4) unstable; urgency=low

  * Remove Tag field, it's better maintained outside the package.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Call configure with autotools-dev recommended --build and --host options.
  * Do not ignore make errors on 'debian/rules clean'.
  * Templates:
    - Added Italian. (Closes: #449444)
      Thanks to Luca Monducci <luca.mo@tiscali.it>.
    - Added Dutch. (Closes: #414772)
      Thanks to Bart Cornelis <cobaco@skolelinux.no>.

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Dec 2007 07:07:45 +0200

xfstt (1.7-3) unstable; urgency=low

  * Templates:
    - Updated German. (Closes: #396046)
      Thanks to Helge Kreutzmann <debian@helgefjell.de>.
  * Update Tag field to match new debtags vocabulary.
  * Cleanup of debian/rules:
    - Get errors by removing the trailing - from $(MAKE) install.
    - Remove old autoconf compatibility code reagrding --host and --build.
  * Fix typo in debian/copyright.
  * Unify init script output with the one from xfs.

 -- Guillem Jover <guillem@debian.org>  Sun,  5 Nov 2006 19:47:42 +0200

xfstt (1.7-2) unstable; urgency=low

  * Replace libfs-dev Build-Dependency with x11proto-fonts-dev.
  * Fix debian/watch file, now that Berlios does not provide a browsable
    direct download site.
  * Templates:
    - Added Portuguese. (Closes: #362834)
      Thanks to André Costa <skit@argon.ath.cx>.
    - Switched Catalan to utf-8, and fixed a spelling error.
    - Run debconf-updatepo.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Add an LSB description header to the init script.
  * Remove really old documentation from ancient upgrade paths:
    - debconf notes that had low priority.
    - FHS compliance and xbase compatibility from README.Debian.
  * Add a Tag field to the binary package, with the data from debtags.

 -- Guillem Jover <guillem@debian.org>  Fri, 15 Sep 2006 03:09:51 +0300

xfstt (1.7-1) unstable; urgency=low

  * New Upstream Source.
    - Added IPv6 support.
  * Templates:
    - Added Swedish. (Closes: #330989)
      Thanks to Daniel Nylander <yeager@lidkoping.net>.
    - Run debconf-updatepo.
  * Upgrade to debhelper compat version 5.
  * Reindent debian/copyright and make the reference to Debian system neutral.
  * Reindent debian/rules and make it stop using stamp files.

 -- Guillem Jover <guillem@debian.org>  Wed, 30 Nov 2005 03:59:58 +0200

xfstt (1.6-6) unstable; urgency=low

  * Templates:
    - Added Vietnamese. (Closes: #324262)


=== debian/control ===
Source: xfstt
Section: x11
Priority: extra
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://developer.berlios.de/projects/xfstt/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
Build-Depends: debhelper (>= 7), x11proto-fonts-dev
Standards-Version: 3.8.4

Package: xfstt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: X Font Server for TrueType fonts
 TrueType fonts are generally regarded to be the best scalable fonts
 for displays. Applications needing scalable fonts that are to be
 displayed on a screen benefit most.
 This server will allow X11 applications to use the exact same fonts
 as the TrueType fonts used on Windows operating systems.
 .
 Note: This package does not contain fonts. They must be obtained separately.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Updated by Guillem Jover.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_gnu_type += --build $(DEB_HOST_GNU_TYPE)
else
  conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CXXFLAGS = -Wall -g
LDFLAGS =

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -DDEBUG
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2 -fomit-frame-pointer -ffast-math
endif

debian/po/templates.pot: debian/templates
	@debconf-updatepo

config.status: configure
	dh_testdir
	
	./configure \
	  $(conf_gnu_type) \
	  --prefix=/usr \
	  --localstatedir=/var \
	  --mandir=\$${prefix}/share/man

build: config.status debian/po/templates.pot
	dh_testdir
	
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp
	
	[ ! -f Makefile ] || $(MAKE) clean
	
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config/config.guess
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	cp $(CURDIR)/debian/insserv \
	   $(CURDIR)/debian/xfstt/etc/insserv.conf.d/xfstt
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xfstt

binary-indep: build install
	# Nothing to do.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_installchangelogs CHANGES
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary

## xfstt 1.8

=== debian/changelog ===
xfstt (1.8-2) unstable; urgency=low

  * Add missing Build-Depends on pkg-config. (Closes: #612255)
  * Now using Standards-Version 3.9.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 07 Feb 2011 18:08:58 +0100

xfstt (1.8-1) unstable; urgency=low

  * New upstream release.
    - Remove patches merged upstream.
    - Update copyright years.
    - Update name of upstream changelog file.
  * Do not install upstream README and TODO files.
  * Send SIGHUP instead of stopping, calling it with --sync and starting
    the daemon from the init script force-reload action, support newly
    introduced in upstream.
  * Add reload as an alias for force-reload on the init script.
  * Rework debian/rules targets:
    - Rename build to build-arch.
    - Add new build-indep target.
    - Add new build target with build-arch as prerequisite.
    - Rename install to install-arch.
    - Add new install target with install-arch as prerequisite.
    - Remove binary-indep prerequisites.
    - Change binary-arch prerequisites to build-arch and install-arch.

 -- Guillem Jover <guillem@debian.org>  Mon, 07 Feb 2011 03:29:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Homepage: http://developer.berlios.de/projects/xfstt/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
-Build-Depends: debhelper (>= 7), x11proto-fonts-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), pkg-config, x11proto-fonts-dev
+Standards-Version: 3.9.1
 
 Package: xfstt
 Architecture: any
@@ -19,4 +19,3 @@
  as the TrueType fonts used on Windows operating systems.
  .
  Note: This package does not contain fonts. They must be obtained separately.
-

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,16 @@
 	  --localstatedir=/var \
 	  --mandir=\$${prefix}/share/man
 
-build: config.status debian/po/templates.pot
+build-indep:
+
+build-arch: config.status debian/po/templates.pot
 	dh_testdir
 	
 	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+
+build: build-indep build-arch
+
+.PHONY: build-indep build-arch build
 
 clean:
 	dh_testdir
@@ -60,7 +66,9 @@
 	
 	dh_clean
 
-install: build
+.PHONY: clean
+
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -71,10 +79,14 @@
 	
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/xfstt
 
-binary-indep: build install
+install: install-arch
+
+.PHONY: install-arch install
+
+binary-indep:
 	# Nothing to do.
 
-binary-arch: build install
+binary-arch: build-arch install-arch
 	dh_testdir
 	dh_testroot
 	dh_installdebconf
@@ -82,7 +94,7 @@
 	dh_installexamples
 	dh_installinit
 	dh_installman
-	dh_installchangelogs CHANGES
+	dh_installchangelogs NEWS
 	dh_lintian
 	dh_link
 	dh_strip
@@ -96,5 +108,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary
-
+.PHONY: binary-indep binary-arch binary

## xfstt 1.9

=== debian/changelog ===
xfstt (1.9-3) unstable; urgency=medium

  * Add signature checking support to debian/watch, and ship upstream
    signing keys in debian/upstream/signing-key.asc, exported with
    pgp-clean (signing-party) to avoid useless bloat.
  * Remove packaging history from debian/copyright.
  * Now using Standards-Version 3.9.5 (no changes needed).
  * Switch to debhelper compatibility level 9.
  * Switch debian/copyright to machine-readable format 1.0.

 -- Guillem Jover <guillem@debian.org>  Sun, 11 May 2014 06:49:18 +0200

xfstt (1.9-2) unstable; urgency=low

  * Make init script actions idempotent.
  * Create the cache directory (/var/cache/xfstt) before starting the daemon.
  * Use dpkg-buildflags to set CPPFLAGS, CXXFLAGS and LDFLAGS.
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig
    from autotools-dev instead of ad-hoc code.
  * Enable verbose build output in configure.

 -- Guillem Jover <guillem@debian.org>  Wed, 20 Jun 2012 09:46:06 +0200

xfstt (1.9-1) unstable; urgency=low

  * New upstream release.
    - Remove patches merged upstream.
    - Update copyright years.
    - Copy config.guess and config.sub to build-aux/ instead of config/.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 02 May 2012 13:50:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Homepage: http://developer.berlios.de/projects/xfstt/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
-Build-Depends: debhelper (>= 7), pkg-config, x11proto-fonts-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), autotools-dev (>= 20120210.1), pkg-config,
+ x11proto-fonts-dev
+Standards-Version: 3.9.5
 
 Package: xfstt
 Architecture: any

=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=3
#http://download.berlios.de/xfstt	xfstt-(.*)\.tar\.gz	debian	uupdate
opts=pgpsigurlmangle=s/$/.asc/ \
http://developer.berlios.de/project/showfiles.php?group_id=475	http://prdownload.berlios.de/xfstt/xfstt-([\d\.-]*)\.tar\.gz	debian	uupdate

## xfstt 1.9.1

=== debian/changelog ===
xfstt (1.9.1-1) unstable; urgency=low

  * New upstream release.
    - Update upstream site.
  * Now using Standards-Version 3.9.6 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 23 Oct 2014 02:41:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: x11
 Priority: extra
 Maintainer: Guillem Jover <guillem@debian.org>
-Homepage: http://developer.berlios.de/projects/xfstt/
+Homepage: http://www.hadrons.org/software/xfstt/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
 Build-Depends: debhelper (>= 9), autotools-dev (>= 20120210.1), pkg-config,
  x11proto-fonts-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: xfstt
 Architecture: any

## xfstt 1.9.2

=== debian/changelog ===
xfstt (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Use https for the copyright Format URL.
  * Switch Vcs-Browser to a cgit URL.
  * Move Debian specific LGPL-2.1 filesystem location in debian/copyright
    to a Comment field.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Aug 2015 04:04:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Guillem Jover <guillem@debian.org>
 Homepage: http://www.hadrons.org/software/xfstt/
-Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
+Vcs-Browser: http://git.hadrons.org/cgit/debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
 Build-Depends: debhelper (>= 9), autotools-dev (>= 20120210.1), pkg-config,
  x11proto-fonts-dev

=== debian/rules ===
--- 
+++ 
@@ -16,17 +16,16 @@
   conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CXXFLAGS = -Wall -g
-LDFLAGS =
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -Wall
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -DDEBUG
 endif
 
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CXXFLAGS += -O0
-else
-	CXXFLAGS += -O2 -fomit-frame-pointer -ffast-math
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	CXXFLAGS += -fomit-frame-pointer -ffast-math
 endif
 
 debian/po/templates.pot: debian/templates
@@ -34,9 +33,11 @@
 
 config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	
 	./configure \
 	  $(conf_gnu_type) \
+	  --disable-silent-rules \
 	  --prefix=/usr \
 	  --localstatedir=/var \
 	  --mandir=\$${prefix}/share/man
@@ -46,7 +47,8 @@
 build-arch: config.status debian/po/templates.pot
 	dh_testdir
 	
-	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
+	        LDFLAGS="$(LDFLAGS)"
 
 build: build-indep build-arch
 
@@ -59,11 +61,7 @@
 	
 	[ ! -f Makefile ] || $(MAKE) clean
 	
-	-test -r /usr/share/misc/config.sub && \
-	  cp -f /usr/share/misc/config.sub config/config.sub
-	-test -r /usr/share/misc/config.guess && \
-	  cp -f /usr/share/misc/config.guess config/config.guess
-	
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 .PHONY: clean

=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://archive.hadrons.org/software/xfstt/	xfstt-([\d\.-]*)\.tar\.[gx]z	debian	uupdate

## xfstt 1.9.3

=== debian/changelog ===
xfstt (1.9.3-3) unstable; urgency=medium

  * Sort dependency fields.
  * Set Rules-Requires-Root to no.
  * Remove --uniform-compression from dpkg-deb call, it is now the default.
  * Switch to debian/watch format version 4.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 16:54:23 +0100

xfstt (1.9.3-2) unstable; urgency=medium

  * Line-wrap dependency fields.
  * Now using Standards-Version 4.1.0.
  * Switch to debhelper compatibility level 10.
  * Replace dh_autotools-dev_* commands with dh_update_autotools_config,
    and remove explicit Build-Depends on autotools-dev.
  * Fix indentation for shell code.
  * Remove ancient debconf unregistrations of deprecated questions.
  * Switch Priority from extra to optional.
  * Call start-stop-daemon with «--retry 5» on stop action.
  * Pass --uniform-compression to dpkg-deb.

 -- Guillem Jover <guillem@debian.org>  Sun, 24 Sep 2017 13:04:42 +0200

xfstt (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Use https for hadrons.org URLs.
  * Rename debian/README.debian to debian/README.Debian.
  * Fix typos in README.Debian.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable all hardening features.

 -- Guillem Jover <guillem@debian.org>  Mon, 23 May 2016 02:10:33 +0200

=== debian/control ===
Source: xfstt
Section: x11
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: https://www.hadrons.org/software/xfstt/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/xfstt.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/xfstt.git
Standards-Version: 4.1.1
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 x11proto-fonts-dev,

Package: xfstt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base,
Description: X Font Server for TrueType fonts
 TrueType fonts are generally regarded to be the best scalable fonts
 for displays. Applications needing scalable fonts that are to be
 displayed on a screen benefit most.
 This server will allow X11 applications to use the exact same fonts
 as the TrueType fonts used on Windows operating systems.
 .
 Note: This package does not contain fonts. They must be obtained separately.

=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,18 @@
 #!/usr/bin/make -f
-# Made with the aid of dh_make, by Craig Small
-# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
-# Some lines taken from debmake, by Cristoph Lameter.
-# Updated by Guillem Jover.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DEB_CXXFLAGS_MAINT_PREPEND = -Wall
+
+include /usr/share/dpkg/default.mk
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   conf_gnu_type += --build $(DEB_HOST_GNU_TYPE)
 else
   conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
-
-CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
-CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -Wall
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -DDEBUG
@@ -33,7 +27,7 @@
 
 config.status: configure
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
 	
 	./configure \
 	  $(conf_gnu_type) \
@@ -61,7 +55,6 @@
 	
 	[ ! -f Makefile ] || $(MAKE) clean
 	
-	dh_autotools-dev_restoreconfig
 	dh_clean
 
 .PHONY: clean

=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://archive.hadrons.org/software/xfstt/	xfstt-([\d\.-]*)\.tar\.[gx]z	debian	uupdate

## xfstt 1.10

=== debian/changelog ===
xfstt (1.10-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:03:43 +0100

xfstt (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Add a primary alternative Build-Depends on xorg-proto-dev for
    x11proto-fonts-dev.
  * Remove empty debian/patches/series.
  * Switch to debhelper compatibility level 11.
  * Now using Standards-Version 4.3.0.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Feb 2019 17:15:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	dh_prep
 	dh_installdirs
 	
-	cp $(CURDIR)/debian/insserv \
+	cp $(CURDIR)/debian/xfstt.insserv \
 	   $(CURDIR)/debian/xfstt/etc/insserv.conf.d/xfstt
 	
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/xfstt

## xfstt 1.11

=== debian/changelog ===
xfstt (1.11-2) unstable; urgency=medium

  * Fix typo in package description. (Closes: #969415)
    Thanks to Alberto Luaces <aluaces@udc.es>.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Add debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 18:58:33 +0100

xfstt (1.11-1) unstable; urgency=medium

  * New upstream release.
    - Handle pre-existing .fonts-unix socket directory. (Closes: #962988)
  * Namespace debconf templates file too. It also required renaming the file
    in the debian/po/POTFILES.in file.
  * Switch to debhelper compatibility level 13.
  * Switch from debian/compat to debhelper-commpat in Build-Depends.
  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Switch to dh sequencer.
  * Stop passing -fomit-frame-pointer, which makes debugging harder.
  * Mention in package description that the font server support is disabled
    in Debian's X.Org server. (Closes: #858512)
  * Switch from a boolean to free form OPTIONS for LISTEN_TCP setting in
    /etc/default/xfstt, to make it possible to share it between sysvinit
    and systemd.
  * Add new systemd service file.

 -- Guillem Jover <guillem@debian.org>  Fri, 14 Aug 2020 15:54:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Homepage: https://www.hadrons.org/software/xfstt/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/xfstt.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/xfstt.git
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  pkg-config,
- x11proto-fonts-dev,
+ x11proto-dev | x11proto-fonts-dev,
 
 Package: xfstt
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -25,4 +27,7 @@
  This server will allow X11 applications to use the exact same fonts
  as the TrueType fonts used on Windows operating systems.
  .
+ Note: On Debian and derivatives, the X.Org server has the font server support
+ disabled, so xfstt is mostly useful to serve fonts to remote systems.
+ .
  Note: This package does not contain fonts. They must be obtained separately.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CXXFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -DDEBUG
endif

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -ffast-math
endif

%:
	dh $@

execute_after_dh_installinit:
	cp $(CURDIR)/debian/xfstt.insserv \
	   $(CURDIR)/debian/xfstt/etc/insserv.conf.d/xfstt

override_dh_installchangelogs:
	dh_installchangelogs NEWS
